petsc-3.12.1 2019-10-22
Report Typos and Errors

# TaoSetGradientNorm

Sets the matrix used to define the inner product that measures the size of the gradient.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoSetGradientNorm(Tao tao, Mat M)

Collective on tao

### Input Parameters

| tao | - the Tao context
| M | - gradient norm

### See Also

TaoGetGradientNorm(), TaoGradientNorm()

### Level

beginner

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages